import 'package:flutter/material.dart';
import 'package:photo/src/entity/options.dart';
import 'package:photo/src/provider/asset_provider.dart';
import 'package:photo/src/provider/i18n_provider.dart';
import 'package:photo_manager/photo_manager.dart';

// ignore_for_file: deprecated_member_use

class PhotoProvider extends ChangeNotifier {
  Options options;
  I18nProvider provider;
  AssetProvider assetProvider = AssetProvider();
  List<AssetEntity> pickedAssetList;
  bool isFullImage;
  PhotoProvider({
    @required this.options,
    @required this.provider,
    List<AssetEntity> pickedAssetList,
    this.isFullImage = false,
  }) : this.pickedAssetList = pickedAssetList ?? [];
  
  void setFullImage(bool value) {
    isFullImage = value;
    notifyListeners();
  }

  @override
  void notifyListeners() {
    super.notifyListeners();
  }
}
